#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main() {

    char linha[100];
    int s, num;

	scanf ("%d", &s);
	while(s != 0)
    {	
     	
		scanf ("%d", &num);

        char * msg = malloc ((s + 1) * sizeof(char));

        int * salas = malloc ((s + 1) * sizeof(int));
		
		int x;
        for(x = 0; x < s ;x++)
        {
            salas[x] = 0;
            msg[x]='\0';
        }

        for(x = 0; x < num; x++)
        {
			int n;
			int y;

			scanf ("%d", &n);

            for(y = 0; y < s; y++)
            {
                if ((y+1)%n==0)
                {
                    if (salas[y] == 0)
                    {
                        salas[y] = 1;
                    }
                    else
                    {
                        salas[y] = 0;
                    }
                }
            }
        }

        for(x = 0; x < s; x++)
        {
            if(salas[x]==0)
            {
               strcat(msg,"D");
            }
            else
            {
               strcat(msg,"L");
            }
        }
		scanf ("%d", &s);
        printf("%s%s",msg, s == 0 ? "" : "\n");
        free (msg);
    }
    return 0;
}
